///////////////////////////////////////////////////
// LEDTest.cpp
// 720020-1175x
//
// Applied Data Systems
//
// This test application is part of the ADS sample 
// stream interface driver for the BitsyX LED
///////////////////////////////////////////////////
#include <windows.h>
#include "..\led.h"

int WINAPI WinMain(	HINSTANCE hInstance,
				   HINSTANCE hPrevInstance,
				   LPTSTR    lpCmdLine,
				   int       nCmdShow)
{
	RETAILMSG(TRUE, (_T("+LEDTest\r\n")));

	int		state = 1;
	DWORD	xfer = 0;

	HANDLE hLED = CreateFile( _T("LED1:"), 
		                      GENERIC_READ | GENERIC_WRITE,
							  FILE_SHARE_READ | FILE_SHARE_WRITE,
							  NULL,
							  OPEN_EXISTING,
							  0,
							  NULL);

	RETAILMSG(TRUE, (_T("  hLED = %i\r\n"), hLED));

	BLINK_NUMBER_DATA data;
	data.LEDIndex = 1;
	data.InterDigitDelay = 500;
	data.TerminateDelay = 1000;

	// count from 4 to 40 in steps of 4
	for(int i = 1 ; i <= 10 ; i++)
	{
		data.Number = i*4;
		RETAILMSG(TRUE, (_T("  Blinking %i...\r\n"), data.Number));
		DeviceIoControl(hLED, IOCTL_LED_BLINK_NUMBER, &data, sizeof(data), NULL, 0, NULL, NULL);
	}

	CloseHandle(hLED);

	RETAILMSG(TRUE, (_T("-LEDTest\r\n")));

	return 0;
}